
// component/picNav/picNav.js
var app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

Component({
	/**
	 * 组件的属性列表
	 */
  properties: {
    picNav: {
      type: Array,
      value: [],
    },
  },
  attached() {
    this.setData({
      baseImgUrl: app.globalData.imageUrl
    })
  },
	/**
	 * 组件的初始数据
	 */
  data: {
    imagewidth: 0,//缩放后的宽 
    imageheight: 0,//缩放后的高 
    isAuthorization: false,
    isAuthorizationActiveText: '',
    isAuthorizationType: 2,
    baseImgUrl: ''
  },
	/**
	 * 组件的方法列表
	 */
  methods: {
    imageLoad(e) {
      let imageSize = utils.imageUtil(e)
      this.setData({
        imagewidth: imageSize.imageWidth,
        imageheight: imageSize.imageHeight
      })
    },
    preview(e) {
      const ev = e.currentTarget.dataset
      let curItemType = ev.item
      console.log('ev', curItemType)
      const { memberActivateStatus } = wx.getStorageSync('_baseUserInfo')
      // 获取当前帐号信息
      const accountInfo = utils.getAccountInfo()
      const userInfo = wx.getStorageSync('_baseUserInfo')

      // link row
      if (curItemType.link) {
        let currentClickType = app.globalData.commonFunc.getLink(curItemType.link.type, curItemType)
        if (curItemType.link.type == 1) {
					// 触发父组件更新页面 外部小程序
					this.setData({
						isAuthorization: false
					})
					return false
				} else if (!userInfo) {
					this.setData({
						isAuthorization: true
					})
					return false
				} else if (userInfo && userInfo.member && !userInfo.member.mobile) {
					wxService.openCard()
					return false
				}

				if (curItemType.link.type == 2) {
					// 触发父组件更新页面
					wxService.nextTick(() => {
						this.triggerEvent('updatePage', { pageId: currentClickType.url })
					})
				} else if (curItemType.link.type == 3) {
					// 预览
					wx.previewImage({
						current: `${app.globalData.imageUrl}/${currentClickType.imageUrl}`, // 当前显示图片的http链接
						urls: [`${app.globalData.imageUrl}/${currentClickType.link.url}`]  // 需要预览的图片http链接列表
					})
				} else if (curItemType.link.type == 4) {
					wxService.router(`/${currentClickType}`)
				} else if (curItemType.link.type == 5) {
					if (currentClickType == 1) {
						wxService.openCard()
					} else if (currentClickType == 2) {
						wxService.openCard()
					}
				} else if (curItemType.link.type == 6) {
					wxService.router(`/${currentClickType}`)
				} else if (curItemType.link.type == 7) {
					// 集点详情
					console.log('pointPath',  currentClickType)
				  wxService.router(`${currentClickType}`)
				}
      } else if (curItemType.row) {
        let rowObj = JSON.parse(curItemType.row)
				let currentClickRow = app.globalData.commonFunc.getLinkRow(rowObj.type, rowObj)
       
        if (rowObj.type == 1) { }
				else if (rowObj.type == 2) { }
				else if (rowObj.type == 3) { }
				else if (rowObj.type == 4) { }
				else if (rowObj.type == 5) { }
				else if (rowObj.type == 6) { }
				else if (rowObj.type == 7) { }
				else if (rowObj.type == 8) {
					// 商品
					wxService.router(`/pages/productDetail/productDetail?productId=${currentClickRow}`)
				}
				else if (rowObj.type == 9) { 
					// 分类
					wxService.router(`/subPackage/page/pages/categoryPro/categoryPro?${currentClickRow}`)
				}
      }
      //  2019.06.14
      // let currentClickType = app.globalData.commonFunc.getLink(item.link.type, item)
      // if (link.type == 1) {
      //   // 触发父组件更新页面 外部小程序
      //   this.setData({
      //     isAuthorization: false
      //   })
      //   return false
      // } else if (!userInfo) {
      //   // userInfo 不存在 授权弹框
      //   this.setData({
      //     isAuthorization: true
      //   })
      //   return false
      // }

      // if (link.type == 2) {
      //   // 触发父组件更新页面
      //   wxService.nextTick(() => {
      //     this.triggerEvent('updatePage', { pageId: currentClickType.url })
      //   })
      // } else if (link.type == 3) {
      //   // 预览
      //   wx.previewImage({
      //     current: `${app.globalData.imageUrl}/${currentClickType.imageUrl}`, // 当前显示图片的http链接
      //     urls: [`${app.globalData.imageUrl}/${currentClickType.link.url}`]  // 需要预览的图片http链接列表
      //   })
      // } else if (link.type == 4) {
      //   wxService.router(`${currentClickType}`)
      // } else if (link.type == 5) {
      //   if (currentClickType == 1) {
      //     wxService.openCard()
      //   } else if (currentClickType == 2) {
      //     // wxService.openCard()
      //     if (userInfo && userInfo.member && userInfo.member.mobile && !userInfo.memberActivateStatus) {
      //       // 手机号存在 但未激活 跳转激活领卡页面 老用户
      //       this.setData({
      //         isAuthorizationActiveText: '新激活领卡',
      //         isAuthorization: true,
      //         isAuthorizationType: 3
      //       }, () => {
      //         return false
      //       })
      //     } else {
      //       wxService.openCard()
      //     }
      //   }
      // } else if(link.type == 6){
      //   wxService.router(`${currentClickType}`)
      // } else if(link.type == 7){
      //   // 集点详情
      //   let pointPath = currentClickType && currentClickType.split('?')[0]
      //   let pointIdParams = currentClickType && currentClickType.split('?')[1]
      //   let pointId = pointIdParams.split('=')[1]
      //   wxService.router(`${pointPath}`).search({ id: pointId })
      // }
    },
    activeTocard(e) {
      if (e.detail) {
        wxService.openCard()
      }
    }
  }
})
